/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.Precioprograma;

import java.util.List;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;

/**
 * @author obper
 */
@Stateless
public class PrecioprogramaFacade extends AbstractFacade<Precioprograma> implements PrecioprogramaFacadeLocal {
    @PersistenceContext(unitName = "wcosmodasPersistent")
    private EntityManager em;

    @Override
    protected EntityManager getEntityManager() {
        return em;
    }

    public PrecioprogramaFacade() {
        super(Precioprograma.class);
    }


    @Override
    public List listaOferta(String productoCodigo, String programaCodigo) {
        Query q = em.createNamedQuery("Precioprograma.findProc");
        q.setParameter("productoCodigo", productoCodigo);
        q.setParameter("programaCodigo", programaCodigo);
        return q.getResultList();
    }

    @Override
    public List<Precioprograma> listaPrecioPrograma(String productoCodigo, String programaCodigo) {
        Query q = em.createNamedQuery("Precioprograma.findProc2");
        q.setParameter("productoCodigo", productoCodigo);
        q.setParameter("programaCodigo", programaCodigo);
        return q.getResultList();
    }

    @Override
    public List<Precioprograma> ProductoPorPrograma(String programaCodigo) {
        Query q = em.createNamedQuery("Precioprograma.findByProgramaCodigo");
        q.setParameter("programaCodigo", programaCodigo);
        return q.getResultList();
    }

    @Override
    public Precioprograma porOfertaCodigo(String productoCodigo, String programaCodigo) {

        Query q = em.createNamedQuery("Precioprograma.findProc2");
        q.setParameter("productoCodigo", productoCodigo);
        q.setParameter("programaCodigo", programaCodigo);

        Precioprograma rs = (Precioprograma) q.getResultList().get(0);

        return rs;
    }


}
